package com.steering.pss.sale.price.entity;

/**
 * 数据库表SLM_PRICE_DOC所对应的实体类（生成工具：代码生成器2.4）
 * @author JK-KF-WUHJ   date 2016-06-07
 */
public class SlmPriceDocEntity {
    /**
     * 价格文件版本号
     */
    private String priceVerId;
    /**
     * 价格文件描述
     */
    private String priceVerDesc;
    /**
     * 有效期起
     */
    private String validdateBegin;
    /**
     * 有效期止
     */
    private String validdateEnd;
    /**
     * 是否有效
     */
    private String validflag;
    /**
     * 创建人
     */
    private String createname;
    /**
     * 创建时间
     */
    private String createdate;
    /**
     * 修改人
     */
    private String updatename;
    /**
     * 修改时间
     */
    private String updatedate;

    public SlmPriceDocEntity(){
        priceVerId = "";
        priceVerDesc = "";
        validdateBegin = "";
        validdateEnd = "";
        validflag = "";
        createname = "";
        createdate = "";
        updatename = "";
        updatedate = "";
    }

    /**
     * 价格文件版本号
     * @return value
     */
    public String getPriceVerId() {
        return priceVerId;
    }

    /**
     * 价格文件版本号
     * @param priceVerId value
     */
    public void setPriceVerId(String priceVerId) {
        this.priceVerId = priceVerId;
    }

    /**
     * 价格文件描述
     * @return value
     */
    public String getPriceVerDesc() {
        return priceVerDesc;
    }

    /**
     * 价格文件描述
     * @param priceVerDesc value
     */
    public void setPriceVerDesc(String priceVerDesc) {
        this.priceVerDesc = priceVerDesc;
    }

    /**
     * 有效期起
     * @return value
     */
    public String getValiddateBegin() {
        return validdateBegin;
    }

    /**
     * 有效期起
     * @param validdateBegin value
     */
    public void setValiddateBegin(String validdateBegin) {
        this.validdateBegin = validdateBegin;
    }

    /**
     * 有效期止
     * @return value
     */
    public String getValiddateEnd() {
        return validdateEnd;
    }

    /**
     * 有效期止
     * @param validdateEnd value
     */
    public void setValiddateEnd(String validdateEnd) {
        this.validdateEnd = validdateEnd;
    }

    /**
     * 是否有效
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 是否有效
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreatename() {
        return createname;
    }

    /**
     * 创建人
     * @param createname value
     */
    public void setCreatename(String createname) {
        this.createname = createname;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreatedate() {
        return createdate;
    }

    /**
     * 创建时间
     * @param createdate value
     */
    public void setCreatedate(String createdate) {
        this.createdate = createdate;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdatename() {
        return updatename;
    }

    /**
     * 修改人
     * @param updatename value
     */
    public void setUpdatename(String updatename) {
        this.updatename = updatename;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdatedate() {
        return updatedate;
    }

    /**
     * 修改时间
     * @param updatedate value
     */
    public void setUpdatedate(String updatedate) {
        this.updatedate = updatedate;
    }
}
